%{?!pybasever: %global pybasever %(%{__python} -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted
Version:	10.0.0
Release:	1.0.cf%{?dist}
Summary:	Event-based framework for Internet applications
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/
Source0:	README.fedora
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	python-twisted-core	>= %{version}
Requires:	python-twisted-conch	>= 10.0.0
Requires:	python-twisted-lore	>= 10.0.0
Requires:	python-twisted-mail	>= 10.0.0
Requires:	python-twisted-names	>= 10.0.0
Requires:	python-twisted-news	>= 10.0.0
Requires:	python-twisted-runner	>= 10.0.0
Requires:	python-twisted-web	>= 10.0.0
Requires:	python-twisted-words	>= 10.0.0

Obsoletes:	Twisted < %{version}-%{release}
Provides:	Twisted = %{version}-%{release}
Obsoletes:	twisted < %{version}-%{release}
Provides:	twisted = %{version}-%{release}

%description
Twisted is an event-based framework for Internet applications.	It includes a
web server, a telnet server, a chat server, a news server, a generic client
and server for remote object access, and APIs for creating new protocols and
services. Twisted supports integration of the Tk, GTK+, Qt or wxPython event
loop with its main event loop. The Win32 event loop is also supported, as is
basic support for running servers on top of Jython.

Installing this package brings all Twisted sub-packages into your system.

%prep
%setup -T -c
%{__install} -p -m 0644 %{SOURCE0} README

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README

%changelog
* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0, with requires for version 10.0.0 of sub-projects

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0, with requires for version 9.0.0 of sub-projects

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0, with requires for version 8.2.0 of sub-projects

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.1.0-2.0.CF
- minor spec file cleanups in line with Fedora version

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0, with requires for version 8.1.0 of sub-projects except
  runner, still at 8.0.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.1-1
- update to 8.0.1, with requires for version 8.0.0 of sub-projects

* Thu Jan 11 2007 Paul Howarth <paul@city-fan.org> 2.5.0-1
- dispense with %%{python} and %%{origname} macros
- require appropriate minimum versions of the other Twisted packages
- preserve timestamp of README.fedora
- various cosmetic changes

* Wed Jan 03 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 2.4.0-2
- add a README.fedora
- made noarch, since it doesn't actually install any python twisted/ module
  code
- fixed provides/obsoletes

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 2.4.0-1
- this is now a pure umbrella package

* Mon Oct 10 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.1.0-1
- upstream release

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.1-1
- upstream release

* Mon Apr 04 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-2
- add zsh support

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-1
- final release

* Thu Mar 17 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-0.2.a3
- dropped web2

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-0.1.a2
- new prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0a1-1
- prep for split

* Fri Aug 20 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.3.0-1
- new version

* Mon Apr 19 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.2.0-3
- vaultize

* Mon Apr 12 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.2.0-2
- require pyOpenSSL, SOAPpy, openssh-clients, crypto, dia so trial can run

